Subject: RE: draft-raggarwa-rsvpte-pw-01.txt

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 24 Mar 2005 11:14:23 -0500

Hi Nurit,

I do not agree with your assertion. Here is why.

1) As far as I know most current products today do CAC
   for SS-PW when mapped to TE tunnel. The information
   used for CAC purposes is derived from AC characteristics
   and the services sold by SP to the customer. LDP 'protocol'
   is not extended nor it is required.

2) We have proposed (shah-pw-qos-signaling) exchanging this same QOS 
   related information in LDP Label Mapping message as OPAQUE parameters, 
   so both PEs (in case of SS-PW) can do consistent CAC when mapping PW
   to their respective TE-tunnel. LDP 'protocol' is not extended
   nor it is required to. This same OPQAUE paramters can  also
   be used for MS-PW, statically configured or dynamically signalled.
   Again LDP 'protocol' is not extended nor it is required.

3) The MS-PW can also be dynamically signaled using T-LDP's DU LM
   messages. LDP 'protocol' is not changed. PW management entity
   at each S-PE, which is used for static purposes (draft-martini-pw-stitching)
   is extended to process 'opaque' parameters passed in the LM messages.

4) Note also that S-PEs are PE after all. They may already be doing,
   SS-PW (using LDP), MS-PW static but using LDP on each segment. There
   is no reason to now add, yet another way to create PW on that PE box.

5) The requirement is to be able to support TE for MS-PW. That does not
   preclude cases where in fact transport tunnel within ASes is LDP. If
   that is the case, one can argue equally against using RSVP-TE in all
   LDP based networks. In fact, for hierarchical VPLS or inter-area or
   inter-routing domain but intra-AS MS-PWs may or may not have TE requirements
   and LDP for transport on each PSN may be common. 

6) Also, RSVP-TE as a scalable solution for large number of MS-PW needs to 
   be studied and how will it work for VPLS that spans multiple domains
   and passes through ASes that are not necessarily transient (i.e. has VPLS
   members).

By simply labelling any solution other than RSVP-TE to be CR-LDP as a 
basis for an arguement for RSVP-TE has no merit. Besides, current RSVP-TE
implementations do not have all the extensions that are required for
MS-PW signaling nor does the associated routing protocol. So in that sense,
it is 'new' work, either way.

regards,
himanshu

> -----Original Message-----
> From: Nurit Sprecher [mailto:[email-masked]]
> Sent: Thursday, March 24, 2005 6:59 AM
> To: Shah, Himanshu; Stewart Bryant; pwe3
> Subject: RE: [PWE3] draft-raggarwa-rsvpte-pw-01.txt
> 
> 
> Hi himanshu,
> In the discussion in the last IETF meeting I found no argument on the
> requirements for The TE MS PWs. We have a very strong idea on the
> requirements for the TE MS PWs. The LDP protocol as defined 
> today has no
> means to signal the required information for TE PWs. The LDP protocol
> should be extended to support the missing information. I guess that at
> the end we will get the CR-LDP back. But we are much behind this
> argument and we should respect the decision that RSVP-TE is 
> the protocol
> for TE. Since very little is required to add to the RSVP_TE to support
> the signaling of the TE MS PWs (i.e. PW ID/type/ control 
> word), I think
> that it just natural that the already appropriate protocol which
> requires just minimum extension is used for TE MS PWs. This is very
> natural also taking into consideration that the RSVP-TE is already
> deployed for the signaling of the TE Tunnels.
> I think this is the right stage to make this draft a WG document, when
> the requirements for the TE MS PWs are already specified and known.
> Nurit.
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of
> Shah, Himanshu
> Sent: Wednesday, March 23, 2005 5:37 PM
> To: Stewart Bryant; pwe3
> Subject: RE: [PWE3] draft-raggarwa-rsvpte-pw-01.txt
> 
> I think it is too early to make this draft a WG draft.
> We are still finalizing the requirements. We don't know
> (at least I don't know) how many other drafts/extensions
> in other WG has to be finalized. This draft depends on
> lot of work that may or may not be progressing in other WGs. 
> 
> Hence I do not support making this draft a WG draft 
> at this time.
> 
> /himanshu
> 
> 
> > -----Original Message-----
> > From: [email-masked] 
[mailto:[email-masked]]On Behalf Of
> Stewart Bryant
> Sent: Wednesday, March 23, 2005 6:32 AM
> To: pwe3
> Subject: [PWE3] draft-raggarwa-rsvpte-pw-01.txt
> 
> 
> 
> At IETF62 the authors of
> 
> Setup and Maintenance of Pseudowires using RSVP-TE
> ftp://www.ietf.org/internet-drafts/draft-raggarwa-rsvpte-pw-01.txt
> 
> asked for the draft to become a WG draft.
> 
> What is the view of members of the PWE3 WG?
> 
> Stewart
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3